Login to ECE
- POST /users/auth/_login
Authenticates against available users.
Request
The login request
-
usernamestringrequired -
The username part of the login request
-
passwordstringrequired -
The plain text password part of the login request
-
login_stateLoginState -
Configure how the API responds after a successful login.
-
pathstring -
The path to which to redirect post login - if not specified then no redirect is performed, instead 200 is returned with the token in the body
Responses
Login successful, returns the token in the body (if 'login_state.path' not specified)
-
tokenstringrequired -
The authorization bearer token that you use in subsequent requests
-
session_expiration_timestringrequired -
The time that the session token will expire
Redirects to '/sso/token#BEARER_TOKEN?state=LOGIN_STATE' with the fragment containing a bearer token (if 'login_state.path' is specified)
Response Type: EmptyResponse
The supplied authentication is invalid. (code: root.unauthenticated)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The administrator needs to configure the authentication cluster. (code: authc.no_authentication_cluster)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The authentication cluster failed to process the request. The response body contains details about the error. (code: authc.authentication_cluster_error)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response